> ## Documentation Index
> Fetch the complete documentation index at: https://wholly.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Gemini Omni 1.1 Flash

> Create multimodal video generation tasks with Gemini Omni 1.1 Flash.

## Create Task

Create a new multimodal video generation task.

```http theme={null}
POST /api/v1/jobs/createTask
```

## Authentication

```http theme={null}
Authorization: Bearer YOUR_API_KEY
```

## Request Parameters

### Top-Level Parameters

| Parameter | Type   | Required | Description                                                |
| --------- | ------ | -------- | ---------------------------------------------------------- |
| `model`   | string | Yes      | Must be `google/gemini-omni-flash-1-1`.                    |
| `input`   | object | Yes      | Input parameters for the multimodal video generation task. |

## Parameters

<ParamField body="model" type="string" required>
  Must be `google/gemini-omni-flash-1-1`.
</ParamField>

### `input` Parameters

<ParamField body="input" type="object" required>
  The `input` object contains the parameters used to generate the video.

  <ParamField body="prompt" type="string" required>
    Use `prompt` to describe the video content, style, camera and character action you want to generate in video.

    **Maximum length:** `20,000 ` characters.
  </ParamField>

  <ParamField body="image_urls" type="string[]">
    Use the provided image URLs for characters, scenes, styles, or storyboard guidance. <br /> The `image_urls` must contain the URL of an uploaded image. The value must be an uploaded file URL, not the file content itself.

    **Note:** Mutually exclusive with `first_frame_url`.

    Supported image constraints:

    * **Each file maximum size:** 20 MB
    * **Maximum file:** 7
  </ParamField>

  <ParamField body="first_frame_url" type="string">
    Provide the URL of the image to be used as the first frame for video generation. The value must be an uploaded file URL, not the file content itself.

    **Note:** Mutually exclusive with `image_urls`, and `video_list`

    Maximum file size: `20 MB`
  </ParamField>

  <ParamField body="last_frame_url" type="string">
    Provide the URL of the image to be used as the last frame for video generation. The value must be an uploaded file URL, not the file content itself.

    **Note:** Must be provided together with `first_frame_url`.

    Maximum file size: `20 MB`
  </ParamField>

  <ParamField body="video_list" type="object[]">
    Use the provided each video url defines a source video and the trim range to use during generation. . <br /> The `video_list` must contain the URL of an uploaded video. The value must be an uploaded file URL, not the file content itself.

    * **Each file maximum size:** 100 MB.
    * Total duration of all videos not exceeding `30` seconds.
    * `ends` should be greater than `start`
    * Trim range must not exceed 10 seconds.
    * Maximum 1 video.

    <ParamField body="url" type="string" required>
      Video URL for the generation.
    </ParamField>

    <ParamField body="start" type="number" required>
      Start time in seconds.

      * Must be `>=0`.
    </ParamField>

    <ParamField body="ends" type="number" required>
      End time in seconds.

      **Note:**  It should be greater than start.The difference between the end time and the start time must not exceed 10s

      * Must be `>=0`.
    </ParamField>
  </ParamField>

  <ParamField body="duration" type="number" required>
    When video input is provided, the model determines the output duration automatically and `duration` does not take effect.

    Allowed values: `4`, `6`, `8`, `10`.

    **Note:** The `duration` parameter only takes effect when there is no video input. If `video_list` is provided, the output duration is determined by the model and `duration` is ignored.
  </ParamField>

  <ParamField body="aspect_ratio" default="16:9" type="string">
    The aspect ratio of the generated video.

    Supported values: `16:9` and `9:16`. **Default:** `16:9`
  </ParamField>

  <ParamField body="resolution" type="string">
    Specify the resolution of the generated video.

    Supported values:

    * `360p`
    * `720p`
    * `1080p`
    * `4k`

    **Default:** `720p`
  </ParamField>

  <ParamField body="seed" type="number">
    The seed can be used to reproduce results.

    * Minimum: `0`
    * Maximum: `2147483647`
  </ParamField>
</ParamField>

## Successful Response

<ResponseField name="code" type="number">
  Response status code.
</ResponseField>

<ResponseField name="msg" type="string">
  Response message. Contains the error description when the request fails.

  **Example:** `success`
</ResponseField>

<ResponseField name="data" type="object" required>
  The task data object containing task id.

  <ResponseField name="taskId" type="string" required>
    The unique identifier for this task.

    **Example:** `task_123456`
  </ResponseField>
</ResponseField>

Use the returned `taskId` with the unified **Get Task Details** endpoint to check progress and retrieve results.

<Card title="Get Task Details" icon="search" href="/get-task-detail">
  Check task status, monitor generation progress, and retrieve results.
</Card>
